/*
 * @(#)src/classes/sov/javax/print/event/PrintEvent.java, print, asdev, 20080304 1.9
 * ===========================================================================
 * Licensed Materials - Property of IBM
 * "Restricted Materials of IBM"
 *
 * IBM SDK, Java(tm) 2 Technology Edition, v5.0
 * (C) Copyright IBM Corp. 1998, 2005. All Rights Reserved
 * ===========================================================================
 */

/*
 * ===========================================================================
 (C) Copyright Sun Microsystems Inc, 1992, 2004. All rights reserved.
 * ===========================================================================
 */

/* 
 *
 * Change activity:
 *
 * Reason  Date   Origin    Description
 * ------  ----   ------    -------------------------------------------------- 
 * 74921   220704  pratunga  5.0 codemerge 
 *
 * ===========================================================================
 * Module Information:
 * 
 * DESCRIPTION: IBM.WRITEME
 * ===========================================================================
 */

/*
 * @(#)PrintEvent.java	1.6 03/12/19
 *
 */

package javax.print.event;

/**
 *
 * Class PrintEvent is the super class of all Print Service API events.
 */

public class PrintEvent extends java.util.EventObject {
    
    private static final long serialVersionUID = 2286914924430763847L;

    /**
     * Constructs a PrintEvent object.
     * @param source is the source of the event
     * @throws IllegalArgumentException if <code>source</code> is
     *         <code>null</code>.
     */
    public PrintEvent (Object source) {
        super(source);
    }

    /**
     * @return a message describing the event
     */
    public String toString() {
	return ("PrintEvent on " + getSource().toString());
    }
    
}
